Update notification setting
PUT
/v1/api/notification-settingsCreate or update notification routing with OAuth editor access.
- Scope
alerts:write- Token
- OAuth access token only
- Role
- Editor, owner or admin
- MCP tool
update_notification_setting· preview: MCP write tools are in preview- What scopes, tokens and roles mean →
Request
cURL
curl -X PUT "https://api.crawle.io/v1/api/notification-settings" \
-H "Authorization: Bearer $CRAWLE_ACCESS_TOKEN" \
-H "Idempotency-Key: $(uuidgen)" \
-H "Content-Type: application/json" \
-d '{"channel":"example"}'JavaScript
const response = await fetch("https://api.crawle.io/v1/api/notification-settings", {
method: "PUT",
headers: {
Authorization: `Bearer ${process.env.CRAWLE_ACCESS_TOKEN}`,
"Idempotency-Key": crypto.randomUUID(),
"Content-Type": "application/json",
},
body: JSON.stringify({
"channel": "example"
}),
});
const data = await response.json();Python
import os
import uuid
import requests
response = requests.request(
"PUT",
"https://api.crawle.io/v1/api/notification-settings",
headers={
"Authorization": f"Bearer {os.environ['CRAWLE_ACCESS_TOKEN']}",
"Idempotency-Key": str(uuid.uuid4()),
},
json={
"channel": "example"
},
)
data = response.json()$CRAWLE_ACCESS_TOKEN- is an OAuth access token from your integration's sign-in.
Idempotency-Key- is a new unique value for each new request.
Response 200: a JSON object. Its fields are not described in the API contract yet, so no example is shown.
Parameters
Idempotency-Keyheader · stringrequired- 1–180 characters
Request body
channelstringrequired- email, slack, teams, or webhook
configobjectenabledboolean- default true
event_typesarray of string or null
Response 200
Returns a JSON object. Its fields are not described in the API contract yet.
Errors
401
- When
- Missing, invalid, or expired token.
403
- When
- The token has none of the accepted scopes (
alerts:write).
403
- When
- Called with an API key. This endpoint needs an OAuth access token.
403
- When
- The person's workspace role is below editor.
422
- When
- The request did not match the schema.
detaillists each problem.
429
- When
- Rate limited. Wait for
Retry-Afterseconds.
Generated from the API contract at 7e7039b0b, synced October 30, 2026.